# Provider Notes

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

### Provider Notes

NOT_START: Not started
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
IN_PROGRESS: Running
SUCCESS: Completed
FAILURE ： Failure

### Provider Notes

#### Provider Notes

> scope: images\videos\audio

`Post: /v2/{scope}/generations`
Example: `Post: /v2/videos/generations`

header:
`Authorization: Bearer <API-Key>`

input:

```
{
"prompt": "Example prompt from provider documentation.", // provider-specific note
"model": "", // provider-specific note
"duration": 5,
"aspect_ratio": "16:9",
"size": "",
"resolution": "780P",
"images": [""], // url or b64
"videos": [""], // only url
"watermark": false
......
}
```

output:

```
{
"task_id": "f186f65a-8657-4e83-b0e3-67facf1b2576",
}
```

#### Provider Notes

`Get: /v2/{scope}/generations/:task_id`

header:
`Authorization: Bearer <API-Key>`

output:

```
{
"task_id": "f4a94d75-087b-4bb1-bd45-53ba293faf96",
"status": "SUCCESS",
"fail_reason": "",
"submit_time": 1716192124,
"start_time": 1716192124,
"finish_time": 1716192124,
"progress": "100%",
"data": {
"output": "",
"outputs": ["",""],
other...
}
}
```

### Provider Notes

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

1. Follow the endpoint-specific flow shown in this page.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
`Authorization: Bearer <API-Key>`

2. Follow the endpoint-specific flow shown in this page.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
curl -X POST "/v2/videos/generations"
-H "Authorization: Bearer <API-Key>"
-H "Content-Type: application/json"
-d '{
"prompt": "A cat surfing in sunset, cinematic",
"model": "veo3"
}'
```

return

`{ "task_id": "f186f65a-8657-4e83-b0e3-67facf1b2576" }`

3. Follow the endpoint-specific flow shown in this page.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
`GET /v2/{scope}/generations/:task_id`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
curl -X GET "/v2/videos/generations/{task_id}"
-H "Authorization: Bearer <API-Key>"
```

return

```
{
"task_id": "veo3:1756693796-YQVHH4A3Lg",
"platform": "google",
"action": "google-videos",
"status": "SUCCESS",
"fail_reason": "",
"submit_time": 1756693797,
"start_time": 1756693808,
"finish_time": 1756693898,
"progress": "100%",
"data": {
"output": "https://filesystem.site/cdn/20250901/018eg2SgUpHMT6EEuQbfeRLWeUhE75.mp4"
},
"search_item": ""
}
```

4. Follow the endpoint-specific flow shown in this page.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
